Skip to content

Get Booking
Alpha

Request

Get a booking by its ID.

Security
OAuth2(Required scopes: booking.read)
Path
bookingIdstringrequired

The unique identifier of the booking.

curl -i -X GET \
  'https://api.understory.io/v1/bookings/{bookingId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstringrequired

The unique identifier of the booking.

statusstring(BookingStatus)required

The status of the booking.

Enum:"ACTIVE""CANCELLED""MOVED""PROCESSING""CHECKED_IN""UNKNOWN"
created_atstring, (date-time)required

Timestamp of when the booking was created.

updated_atstring, (date-time)required

Timestamp of when the booking was last updated.

company_idstringrequired

The ID of the company hosting the experience.

experience_idstringrequired

The unique identifier of the experience.

event_idstringrequired

The unique identifier of the event.

customeranyrequired
localestringrequired

A lowercase ISO 639-1 language code (e.g. "da"), optionally followed by a hyphen and an uppercase ISO 3166-1 country code (e.g. "en-US").

sourcestring

The system or channel through which the booking was created (for example, an Understory storefront identifier or an external integration name).

internal_notestring(MarkdownText)

Internal note for the booking.

metadataobject

Additional metadata for the booking.

This property lets you add custom data to the booking, e.g. your own booking reference. The key has a limit of 40 characters and the value has a limit of 500 characters.

Response
{ "id": "string", "status": "ACTIVE", "source": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "company_id": "string", "experience_id": "string", "event_id": "string", "locale": "string", "customer": { "customer_type": "PRIVATE", "full_name": "string", "email": "user@example.com", "phone": "string", "address": { … } }, "internal_note": "string", "metadata": { "property1": "string", "property2": "string" } }